<?php
/**
 * Shopware 5
 * Copyright (c) shopware AG
 *
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Shopware" is a registered trademark of shopware AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 */

/**
 * @group disable
 * @category  Shopware
 * @package   Shopware\Tests
 * @copyright Copyright (c) 2012, shopware AG (http://www.shopware.de)
 */
class Shopware_Tests_Models_Category_ActiveChildrenListTest extends Enlight_Components_Test_TestCase
{
    /**
     * @var \Shopware\Models\Category\Repository
     */
    protected $repo = null;

    protected $expected1 = array(
        1 => array(
            0 => array(
                'id' => 39,
                'parentId' => 1,
                'name' => 'English',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 43,
                    'categoryId' => 39,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '6',
                'articleCount' => '107',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 61,
                'parentId' => 39,
                'name' => 'Examples',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 65,
                    'categoryId' => 61,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '9',
                'articleCount' => '33',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 62,
                'parentId' => 61,
                'name' => 'Available soon',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 66,
                    'categoryId' => 62,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 64,
                'parentId' => 61,
                'name' => 'Customer loyalty',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 68,
                    'categoryId' => 64,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 65,
                'parentId' => 61,
                'name' => 'Configurator articles',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 69,
                    'categoryId' => 65,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 67,
                'parentId' => 61,
                'name' => 'Product comparison',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 71,
                    'categoryId' => 67,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 68,
                'parentId' => 61,
                'name' => 'Presentation',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 72,
                    'categoryId' => 68,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 69,
                'parentId' => 61,
                'name' => 'Crossselling',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 73,
                    'categoryId' => 69,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 71,
                'parentId' => 61,
                'name' => 'Payment methods',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 75,
                    'categoryId' => 71,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            9 => array(
                'id' => 72,
                'parentId' => 61,
                'name' => 'Shipping costs',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 76,
                    'categoryId' => 72,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            10 => array(
                'id' => 73,
                'parentId' => 61,
                'name' => 'Price strategies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 77,
                    'categoryId' => 73,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            11 => array(
                'id' => 42,
                'parentId' => 39,
                'name' => 'Trends + News',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => true,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 46,
                    'categoryId' => 42,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            12 => array(
                'id' => 43,
                'parentId' => 39,
                'name' => 'Worlds of indulgence',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 47,
                    'categoryId' => 43,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '36',
                'emotions' => null,
                'articles' => null,
            ),
            13 => array(
                'id' => 47,
                'parentId' => 43,
                'name' => 'Teas and Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 51,
                    'categoryId' => 47,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            14 => array(
                'id' => 48,
                'parentId' => 47,
                'name' => 'Teas',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 52,
                    'categoryId' => 48,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            15 => array(
                'id' => 49,
                'parentId' => 47,
                'name' => 'Teas and accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 53,
                    'categoryId' => 49,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            16 => array(
                'id' => 50,
                'parentId' => 43,
                'name' => 'Brandies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 54,
                    'categoryId' => 50,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            17 => array(
                'id' => 51,
                'parentId' => 43,
                'name' => 'Delights',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 55,
                    'categoryId' => 51,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            18 => array(
                'id' => 44,
                'parentId' => 39,
                'name' => 'Leisure worlds',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 48,
                    'categoryId' => 44,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            19 => array(
                'id' => 52,
                'parentId' => 44,
                'name' => 'Vintage',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 56,
                    'categoryId' => 52,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            20 => array(
                'id' => 53,
                'parentId' => 44,
                'name' => 'Entertainment',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 57,
                    'categoryId' => 53,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            21 => array(
                'id' => 45,
                'parentId' => 39,
                'name' => 'Home sweet home',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 49,
                    'categoryId' => 45,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            22 => array(
                'id' => 54,
                'parentId' => 45,
                'name' => 'Furniture',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 58,
                    'categoryId' => 54,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            23 => array(
                'id' => 55,
                'parentId' => 45,
                'name' => 'Kitchen Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 59,
                    'categoryId' => 55,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            24 => array(
                'id' => 56,
                'parentId' => 45,
                'name' => 'Decoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 60,
                    'categoryId' => 56,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            25 => array(
                'id' => 46,
                'parentId' => 39,
                'name' => 'Summertime',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 50,
                    'categoryId' => 46,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '4',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            26 => array(
                'id' => 57,
                'parentId' => 46,
                'name' => 'Beachwear',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 61,
                    'categoryId' => 57,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            27 => array(
                'id' => 58,
                'parentId' => 46,
                'name' => 'Beauty & Care',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 62,
                    'categoryId' => 58,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            28 => array(
                'id' => 59,
                'parentId' => 46,
                'name' => 'Travel around the World',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 63,
                    'categoryId' => 59,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            29 => array(
                'id' => 60,
                'parentId' => 46,
                'name' => 'Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 64,
                    'categoryId' => 60,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            30 => array(
                'id' => 3,
                'parentId' => 1,
                'name' => 'Deutsch',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => false,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 1,
                    'categoryId' => 3,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '6',
                'articleCount' => '202',
                'emotions' => null,
                'articles' => null,
            ),
            31 => array(
                'id' => 5,
                'parentId' => 3,
                'name' => 'Genusswelten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Genusswelten',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 3,
                    'categoryId' => 5,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '44',
                'emotions' => null,
                'articles' => null,
            ),
            32 => array(
                'id' => 11,
                'parentId' => 5,
                'name' => 'Tees und Zubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees und Zubehör',
                'active' => true,
                'template' => 'article_listing_3col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 9,
                    'categoryId' => 11,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '23',
                'emotions' => null,
                'articles' => null,
            ),
            33 => array(
                'id' => 12,
                'parentId' => 11,
                'name' => 'Tees',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 10,
                    'categoryId' => 12,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            34 => array(
                'id' => 13,
                'parentId' => 11,
                'name' => 'Tee-Zubehör',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tee-Zubehör',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 11,
                    'categoryId' => 13,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
            35 => array(
                'id' => 14,
                'parentId' => 5,
                'name' => 'Edelbrände',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Die besten Edelbrände',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 12,
                    'categoryId' => 14,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            36 => array(
                'id' => 15,
                'parentId' => 5,
                'name' => 'Köstlichkeiten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Köstlichkeiten',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 13,
                    'categoryId' => 15,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
            37 => array(
                'id' => 9,
                'parentId' => 3,
                'name' => 'Freizeitwelten',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Freizeitwelten',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 7,
                    'categoryId' => 9,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '27',
                'emotions' => null,
                'articles' => null,
            ),
            38 => array(
                'id' => 31,
                'parentId' => 9,
                'name' => 'Vintage',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 35,
                    'categoryId' => 31,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            39 => array(
                'id' => 16,
                'parentId' => 9,
                'name' => 'Entertainment',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 14,
                    'categoryId' => 16,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '17',
                'emotions' => null,
                'articles' => null,
            ),
            40 => array(
                'id' => 8,
                'parentId' => 3,
                'name' => 'Wohnwelten',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Wohnwelten',
                'active' => true,
                'template' => 'article_listing_4col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 6,
                    'categoryId' => 8,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '49',
                'emotions' => null,
                'articles' => null,
            ),
            41 => array(
                'id' => 38,
                'parentId' => 8,
                'name' => 'Dekoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Mit der richtigen Dekoration in eine Wohlfühlwelt',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 42,
                    'categoryId' => 38,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            42 => array(
                'id' => 32,
                'parentId' => 8,
                'name' => 'Möbel',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möbel',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 36,
                    'categoryId' => 32,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            43 => array(
                'id' => 33,
                'parentId' => 8,
                'name' => 'Küchenzubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Vielfältiges Zubehör für Ihre Küche',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 37,
                    'categoryId' => 33,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
            44 => array(
                'id' => 6,
                'parentId' => 3,
                'name' => 'Sommerwelten',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Sommerwelten',
                'active' => true,
                'template' => 'article_listing_4col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 4,
                    'categoryId' => 6,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '4',
                'articleCount' => '60',
                'emotions' => null,
                'articles' => null,
            ),
            45 => array(
                'id' => 34,
                'parentId' => 6,
                'name' => 'Beachwear',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 38,
                    'categoryId' => 34,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
            46 => array(
                'id' => 35,
                'parentId' => 6,
                'name' => 'Beauty & Care',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 39,
                    'categoryId' => 35,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            47 => array(
                'id' => 36,
                'parentId' => 6,
                'name' => 'On World Tour',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 40,
                    'categoryId' => 36,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            48 => array(
                'id' => 37,
                'parentId' => 6,
                'name' => 'Accessoires',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 41,
                    'categoryId' => 37,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            49 => array(
                'id' => 17,
                'parentId' => 3,
                'name' => 'Trends + News',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Blogfunktion',
                'active' => true,
                'template' => '',
                'blog' => true,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 15,
                    'categoryId' => 17,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            50 => array(
                'id' => 10,
                'parentId' => 3,
                'name' => 'Beispiele',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Beispiele',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 8,
                    'categoryId' => 10,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '11',
                'articleCount' => '37',
                'emotions' => null,
                'articles' => null,
            ),
            51 => array(
                'id' => 27,
                'parentId' => 10,
                'name' => 'In Kürze verfügbar',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'In Kürze verfügbar',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 25,
                    'categoryId' => 27,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            52 => array(
                'id' => 22,
                'parentId' => 10,
                'name' => 'Konfiguratorartikel',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Das Plugin Artikelkonfigurator',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 20,
                    'categoryId' => 22,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            53 => array(
                'id' => 30,
                'parentId' => 10,
                'name' => 'Kundenbindung',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Funktionen zur Kundenbindung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 28,
                    'categoryId' => 30,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            54 => array(
                'id' => 21,
                'parentId' => 10,
                'name' => 'Produktvergleiche & Filter',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Eigenschaften und Filter',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 19,
                    'categoryId' => 21,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            55 => array(
                'id' => 20,
                'parentId' => 10,
                'name' => 'Darstellung',
                'position' => 5,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Artikeldarstellung im Listing.',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 18,
                    'categoryId' => 20,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            56 => array(
                'id' => 19,
                'parentId' => 10,
                'name' => 'Crossselling',
                'position' => 6,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Crossselling',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 17,
                    'categoryId' => 19,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            57 => array(
                'id' => 24,
                'parentId' => 10,
                'name' => 'Versandkosten',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Versandkosteneinstellungen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 22,
                    'categoryId' => 24,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            58 => array(
                'id' => 74,
                'parentId' => 10,
                'name' => 'Kundengruppen / B2B',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Kundengruppen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 78,
                    'categoryId' => 74,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '1',
                'emotions' => null,
                'articles' => null,
            ),
            59 => array(
                'id' => 25,
                'parentId' => 10,
                'name' => 'Zahlungsarten',
                'position' => 8,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Zahlungsarten & Riskmanagement',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 23,
                    'categoryId' => 25,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            60 => array(
                'id' => 23,
                'parentId' => 10,
                'name' => 'Preisgestaltung',
                'position' => 10,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möglichkeiten der Preisgestaltung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 21,
                    'categoryId' => 23,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        3 => array(
            0 => array(
                'id' => 5,
                'parentId' => 3,
                'name' => 'Genusswelten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Genusswelten',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 3,
                    'categoryId' => 5,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '44',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 11,
                'parentId' => 5,
                'name' => 'Tees und Zubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees und Zubehör',
                'active' => true,
                'template' => 'article_listing_3col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 9,
                    'categoryId' => 11,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '23',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 12,
                'parentId' => 11,
                'name' => 'Tees',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 10,
                    'categoryId' => 12,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 13,
                'parentId' => 11,
                'name' => 'Tee-Zubehör',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tee-Zubehör',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 11,
                    'categoryId' => 13,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 14,
                'parentId' => 5,
                'name' => 'Edelbrände',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Die besten Edelbrände',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 12,
                    'categoryId' => 14,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 15,
                'parentId' => 5,
                'name' => 'Köstlichkeiten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Köstlichkeiten',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 13,
                    'categoryId' => 15,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 9,
                'parentId' => 3,
                'name' => 'Freizeitwelten',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Freizeitwelten',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 7,
                    'categoryId' => 9,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '27',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 31,
                'parentId' => 9,
                'name' => 'Vintage',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 35,
                    'categoryId' => 31,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 16,
                'parentId' => 9,
                'name' => 'Entertainment',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 14,
                    'categoryId' => 16,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '17',
                'emotions' => null,
                'articles' => null,
            ),
            9 => array(
                'id' => 8,
                'parentId' => 3,
                'name' => 'Wohnwelten',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Wohnwelten',
                'active' => true,
                'template' => 'article_listing_4col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 6,
                    'categoryId' => 8,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '49',
                'emotions' => null,
                'articles' => null,
            ),
            10 => array(
                'id' => 38,
                'parentId' => 8,
                'name' => 'Dekoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Mit der richtigen Dekoration in eine Wohlfühlwelt',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 42,
                    'categoryId' => 38,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            11 => array(
                'id' => 32,
                'parentId' => 8,
                'name' => 'Möbel',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möbel',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 36,
                    'categoryId' => 32,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            12 => array(
                'id' => 33,
                'parentId' => 8,
                'name' => 'Küchenzubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Vielfältiges Zubehör für Ihre Küche',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 37,
                    'categoryId' => 33,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
            13 => array(
                'id' => 6,
                'parentId' => 3,
                'name' => 'Sommerwelten',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Sommerwelten',
                'active' => true,
                'template' => 'article_listing_4col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 4,
                    'categoryId' => 6,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '4',
                'articleCount' => '60',
                'emotions' => null,
                'articles' => null,
            ),
            14 => array(
                'id' => 34,
                'parentId' => 6,
                'name' => 'Beachwear',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 38,
                    'categoryId' => 34,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
            15 => array(
                'id' => 35,
                'parentId' => 6,
                'name' => 'Beauty & Care',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 39,
                    'categoryId' => 35,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            16 => array(
                'id' => 36,
                'parentId' => 6,
                'name' => 'On World Tour',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 40,
                    'categoryId' => 36,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            17 => array(
                'id' => 37,
                'parentId' => 6,
                'name' => 'Accessoires',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 41,
                    'categoryId' => 37,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            18 => array(
                'id' => 17,
                'parentId' => 3,
                'name' => 'Trends + News',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Blogfunktion',
                'active' => true,
                'template' => '',
                'blog' => true,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 15,
                    'categoryId' => 17,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            19 => array(
                'id' => 10,
                'parentId' => 3,
                'name' => 'Beispiele',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Beispiele',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 8,
                    'categoryId' => 10,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '11',
                'articleCount' => '37',
                'emotions' => null,
                'articles' => null,
            ),
            20 => array(
                'id' => 27,
                'parentId' => 10,
                'name' => 'In Kürze verfügbar',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'In Kürze verfügbar',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 25,
                    'categoryId' => 27,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            21 => array(
                'id' => 22,
                'parentId' => 10,
                'name' => 'Konfiguratorartikel',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Das Plugin Artikelkonfigurator',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 20,
                    'categoryId' => 22,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            22 => array(
                'id' => 30,
                'parentId' => 10,
                'name' => 'Kundenbindung',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Funktionen zur Kundenbindung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 28,
                    'categoryId' => 30,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            23 => array(
                'id' => 21,
                'parentId' => 10,
                'name' => 'Produktvergleiche & Filter',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Eigenschaften und Filter',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 19,
                    'categoryId' => 21,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            24 => array(
                'id' => 20,
                'parentId' => 10,
                'name' => 'Darstellung',
                'position' => 5,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Artikeldarstellung im Listing.',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 18,
                    'categoryId' => 20,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            25 => array(
                'id' => 19,
                'parentId' => 10,
                'name' => 'Crossselling',
                'position' => 6,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Crossselling',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 17,
                    'categoryId' => 19,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            26 => array(
                'id' => 24,
                'parentId' => 10,
                'name' => 'Versandkosten',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Versandkosteneinstellungen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 22,
                    'categoryId' => 24,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            27 => array(
                'id' => 74,
                'parentId' => 10,
                'name' => 'Kundengruppen / B2B',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Kundengruppen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 78,
                    'categoryId' => 74,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '1',
                'emotions' => null,
                'articles' => null,
            ),
            28 => array(
                'id' => 25,
                'parentId' => 10,
                'name' => 'Zahlungsarten',
                'position' => 8,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Zahlungsarten & Riskmanagement',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 23,
                    'categoryId' => 25,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            29 => array(
                'id' => 23,
                'parentId' => 10,
                'name' => 'Preisgestaltung',
                'position' => 10,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möglichkeiten der Preisgestaltung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 21,
                    'categoryId' => 23,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        39 => array(
            0 => array(
                'id' => 61,
                'parentId' => 39,
                'name' => 'Examples',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 65,
                    'categoryId' => 61,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '9',
                'articleCount' => '33',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 62,
                'parentId' => 61,
                'name' => 'Available soon',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 66,
                    'categoryId' => 62,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 64,
                'parentId' => 61,
                'name' => 'Customer loyalty',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 68,
                    'categoryId' => 64,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 65,
                'parentId' => 61,
                'name' => 'Configurator articles',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 69,
                    'categoryId' => 65,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 67,
                'parentId' => 61,
                'name' => 'Product comparison',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 71,
                    'categoryId' => 67,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 68,
                'parentId' => 61,
                'name' => 'Presentation',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 72,
                    'categoryId' => 68,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 69,
                'parentId' => 61,
                'name' => 'Crossselling',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 73,
                    'categoryId' => 69,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 71,
                'parentId' => 61,
                'name' => 'Payment methods',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 75,
                    'categoryId' => 71,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 72,
                'parentId' => 61,
                'name' => 'Shipping costs',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 76,
                    'categoryId' => 72,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            9 => array(
                'id' => 73,
                'parentId' => 61,
                'name' => 'Price strategies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 77,
                    'categoryId' => 73,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            10 => array(
                'id' => 42,
                'parentId' => 39,
                'name' => 'Trends + News',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => true,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 46,
                    'categoryId' => 42,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            11 => array(
                'id' => 43,
                'parentId' => 39,
                'name' => 'Worlds of indulgence',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 47,
                    'categoryId' => 43,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '36',
                'emotions' => null,
                'articles' => null,
            ),
            12 => array(
                'id' => 47,
                'parentId' => 43,
                'name' => 'Teas and Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 51,
                    'categoryId' => 47,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            13 => array(
                'id' => 48,
                'parentId' => 47,
                'name' => 'Teas',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 52,
                    'categoryId' => 48,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            14 => array(
                'id' => 49,
                'parentId' => 47,
                'name' => 'Teas and accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 53,
                    'categoryId' => 49,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            15 => array(
                'id' => 50,
                'parentId' => 43,
                'name' => 'Brandies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 54,
                    'categoryId' => 50,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            16 => array(
                'id' => 51,
                'parentId' => 43,
                'name' => 'Delights',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 55,
                    'categoryId' => 51,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            17 => array(
                'id' => 44,
                'parentId' => 39,
                'name' => 'Leisure worlds',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 48,
                    'categoryId' => 44,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            18 => array(
                'id' => 52,
                'parentId' => 44,
                'name' => 'Vintage',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 56,
                    'categoryId' => 52,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            19 => array(
                'id' => 53,
                'parentId' => 44,
                'name' => 'Entertainment',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 57,
                    'categoryId' => 53,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            20 => array(
                'id' => 45,
                'parentId' => 39,
                'name' => 'Home sweet home',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 49,
                    'categoryId' => 45,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            21 => array(
                'id' => 54,
                'parentId' => 45,
                'name' => 'Furniture',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 58,
                    'categoryId' => 54,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            22 => array(
                'id' => 55,
                'parentId' => 45,
                'name' => 'Kitchen Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 59,
                    'categoryId' => 55,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            23 => array(
                'id' => 56,
                'parentId' => 45,
                'name' => 'Decoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 60,
                    'categoryId' => 56,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            24 => array(
                'id' => 46,
                'parentId' => 39,
                'name' => 'Summertime',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 50,
                    'categoryId' => 46,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '4',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            25 => array(
                'id' => 57,
                'parentId' => 46,
                'name' => 'Beachwear',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 61,
                    'categoryId' => 57,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            26 => array(
                'id' => 58,
                'parentId' => 46,
                'name' => 'Beauty & Care',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 62,
                    'categoryId' => 58,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            27 => array(
                'id' => 59,
                'parentId' => 46,
                'name' => 'Travel around the World',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 63,
                    'categoryId' => 59,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            28 => array(
                'id' => 60,
                'parentId' => 46,
                'name' => 'Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 64,
                    'categoryId' => 60,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        5 => array(
            0 => array(
                'id' => 11,
                'parentId' => 5,
                'name' => 'Tees und Zubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees und Zubehör',
                'active' => true,
                'template' => 'article_listing_3col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 9,
                    'categoryId' => 11,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '23',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 12,
                'parentId' => 11,
                'name' => 'Tees',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 10,
                    'categoryId' => 12,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 13,
                'parentId' => 11,
                'name' => 'Tee-Zubehör',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tee-Zubehör',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 11,
                    'categoryId' => 13,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 14,
                'parentId' => 5,
                'name' => 'Edelbrände',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Die besten Edelbrände',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 12,
                    'categoryId' => 14,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 15,
                'parentId' => 5,
                'name' => 'Köstlichkeiten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Köstlichkeiten',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 13,
                    'categoryId' => 15,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        6 => array(
            0 => array(
                'id' => 34,
                'parentId' => 6,
                'name' => 'Beachwear',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 38,
                    'categoryId' => 34,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 35,
                'parentId' => 6,
                'name' => 'Beauty & Care',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 39,
                    'categoryId' => 35,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 36,
                'parentId' => 6,
                'name' => 'On World Tour',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 40,
                    'categoryId' => 36,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 37,
                'parentId' => 6,
                'name' => 'Accessoires',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 41,
                    'categoryId' => 37,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        8 => array(
            0 => array(
                'id' => 38,
                'parentId' => 8,
                'name' => 'Dekoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Mit der richtigen Dekoration in eine Wohlfühlwelt',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 42,
                    'categoryId' => 38,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 32,
                'parentId' => 8,
                'name' => 'Möbel',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möbel',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 36,
                    'categoryId' => 32,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 33,
                'parentId' => 8,
                'name' => 'Küchenzubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Vielfältiges Zubehör für Ihre Küche',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 37,
                    'categoryId' => 33,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        9 => array(
            0 => array(
                'id' => 31,
                'parentId' => 9,
                'name' => 'Vintage',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 35,
                    'categoryId' => 31,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 16,
                'parentId' => 9,
                'name' => 'Entertainment',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 14,
                    'categoryId' => 16,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '17',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        10 => array(
            0 => array(
                'id' => 27,
                'parentId' => 10,
                'name' => 'In Kürze verfügbar',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'In Kürze verfügbar',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 25,
                    'categoryId' => 27,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 22,
                'parentId' => 10,
                'name' => 'Konfiguratorartikel',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Das Plugin Artikelkonfigurator',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 20,
                    'categoryId' => 22,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 30,
                'parentId' => 10,
                'name' => 'Kundenbindung',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Funktionen zur Kundenbindung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 28,
                    'categoryId' => 30,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 21,
                'parentId' => 10,
                'name' => 'Produktvergleiche & Filter',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Eigenschaften und Filter',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 19,
                    'categoryId' => 21,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 20,
                'parentId' => 10,
                'name' => 'Darstellung',
                'position' => 5,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Artikeldarstellung im Listing.',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 18,
                    'categoryId' => 20,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 19,
                'parentId' => 10,
                'name' => 'Crossselling',
                'position' => 6,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Crossselling',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 17,
                    'categoryId' => 19,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 24,
                'parentId' => 10,
                'name' => 'Versandkosten',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Versandkosteneinstellungen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 22,
                    'categoryId' => 24,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 74,
                'parentId' => 10,
                'name' => 'Kundengruppen / B2B',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Kundengruppen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 78,
                    'categoryId' => 74,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '1',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 25,
                'parentId' => 10,
                'name' => 'Zahlungsarten',
                'position' => 8,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Zahlungsarten & Riskmanagement',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 23,
                    'categoryId' => 25,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            9 => array(
                'id' => 23,
                'parentId' => 10,
                'name' => 'Preisgestaltung',
                'position' => 10,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möglichkeiten der Preisgestaltung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 21,
                    'categoryId' => 23,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        17 => array(),
        42 => array(),
        43 => array(
            0 => array(
                'id' => 47,
                'parentId' => 43,
                'name' => 'Teas and Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 51,
                    'categoryId' => 47,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 48,
                'parentId' => 47,
                'name' => 'Teas',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 52,
                    'categoryId' => 48,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 49,
                'parentId' => 47,
                'name' => 'Teas and accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 53,
                    'categoryId' => 49,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 50,
                'parentId' => 43,
                'name' => 'Brandies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 54,
                    'categoryId' => 50,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 51,
                'parentId' => 43,
                'name' => 'Delights',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 55,
                    'categoryId' => 51,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        44 => array(
            0 => array(
                'id' => 52,
                'parentId' => 44,
                'name' => 'Vintage',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 56,
                    'categoryId' => 52,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 53,
                'parentId' => 44,
                'name' => 'Entertainment',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 57,
                    'categoryId' => 53,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        45 => array(
            0 => array(
                'id' => 54,
                'parentId' => 45,
                'name' => 'Furniture',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 58,
                    'categoryId' => 54,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 55,
                'parentId' => 45,
                'name' => 'Kitchen Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 59,
                    'categoryId' => 55,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 56,
                'parentId' => 45,
                'name' => 'Decoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 60,
                    'categoryId' => 56,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        46 => array(
            0 => array(
                'id' => 57,
                'parentId' => 46,
                'name' => 'Beachwear',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 61,
                    'categoryId' => 57,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 58,
                'parentId' => 46,
                'name' => 'Beauty & Care',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 62,
                    'categoryId' => 58,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 59,
                'parentId' => 46,
                'name' => 'Travel around the World',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 63,
                    'categoryId' => 59,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 60,
                'parentId' => 46,
                'name' => 'Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 64,
                    'categoryId' => 60,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        61 => array(
            0 => array(
                'id' => 62,
                'parentId' => 61,
                'name' => 'Available soon',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 66,
                    'categoryId' => 62,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 64,
                'parentId' => 61,
                'name' => 'Customer loyalty',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 68,
                    'categoryId' => 64,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 65,
                'parentId' => 61,
                'name' => 'Configurator articles',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 69,
                    'categoryId' => 65,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 67,
                'parentId' => 61,
                'name' => 'Product comparison',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 71,
                    'categoryId' => 67,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 68,
                'parentId' => 61,
                'name' => 'Presentation',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 72,
                    'categoryId' => 68,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 69,
                'parentId' => 61,
                'name' => 'Crossselling',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 73,
                    'categoryId' => 69,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 71,
                'parentId' => 61,
                'name' => 'Payment methods',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 75,
                    'categoryId' => 71,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 72,
                'parentId' => 61,
                'name' => 'Shipping costs',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 76,
                    'categoryId' => 72,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 73,
                'parentId' => 61,
                'name' => 'Price strategies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 77,
                    'categoryId' => 73,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        11 => array(
            0 => array(
                'id' => 12,
                'parentId' => 11,
                'name' => 'Tees',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 10,
                    'categoryId' => 12,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 13,
                'parentId' => 11,
                'name' => 'Tee-Zubehör',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tee-Zubehör',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 11,
                    'categoryId' => 13,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        14 => array(),
        15 => array(),
        16 => array(),
        19 => array(),
        20 => array(),
        21 => array(),
        22 => array(),
        23 => array(),
        24 => array(),
        25 => array(),
        27 => array(),
        30 => array(),
        31 => array(),
        32 => array(),
        33 => array(),
        34 => array(),
        35 => array(),
        36 => array(),
        37 => array(),
        38 => array(),
        47 => array(
            0 => array(
                'id' => 48,
                'parentId' => 47,
                'name' => 'Teas',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 52,
                    'categoryId' => 48,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 49,
                'parentId' => 47,
                'name' => 'Teas and accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 53,
                    'categoryId' => 49,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        50 => array(),
        51 => array(),
        52 => array(),
        53 => array(),
        54 => array(),
        55 => array(),
        56 => array(),
        57 => array(),
        58 => array(),
        59 => array(),
        60 => array(),
        62 => array(),
        64 => array(),
        65 => array(),
        67 => array(),
        68 => array(),
        69 => array(),
        71 => array(),
        72 => array(),
        73 => array(),
        74 => array(),
        75 => array(),
        12 => array(),
        13 => array(),
        48 => array(),
        49 => array(),
    );

    protected $expected2 = array(
        1 => array(
            0 => array(
                'id' => 39,
                'parentId' => 1,
                'name' => 'English',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 43,
                    'categoryId' => 39,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '6',
                'articleCount' => '107',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 61,
                'parentId' => 39,
                'name' => 'Examples',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 65,
                    'categoryId' => 61,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '9',
                'articleCount' => '33',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 42,
                'parentId' => 39,
                'name' => 'Trends + News',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => true,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 46,
                    'categoryId' => 42,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 43,
                'parentId' => 39,
                'name' => 'Worlds of indulgence',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 47,
                    'categoryId' => 43,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '36',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 44,
                'parentId' => 39,
                'name' => 'Leisure worlds',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 48,
                    'categoryId' => 44,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 45,
                'parentId' => 39,
                'name' => 'Home sweet home',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 49,
                    'categoryId' => 45,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 46,
                'parentId' => 39,
                'name' => 'Summertime',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 50,
                    'categoryId' => 46,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '4',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 3,
                'parentId' => 1,
                'name' => 'Deutsch',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => false,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 1,
                    'categoryId' => 3,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '6',
                'articleCount' => '202',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 5,
                'parentId' => 3,
                'name' => 'Genusswelten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Genusswelten',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 3,
                    'categoryId' => 5,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '44',
                'emotions' => null,
                'articles' => null,
            ),
            9 => array(
                'id' => 9,
                'parentId' => 3,
                'name' => 'Freizeitwelten',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Freizeitwelten',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 7,
                    'categoryId' => 9,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '27',
                'emotions' => null,
                'articles' => null,
            ),
            10 => array(
                'id' => 8,
                'parentId' => 3,
                'name' => 'Wohnwelten',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Wohnwelten',
                'active' => true,
                'template' => 'article_listing_4col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 6,
                    'categoryId' => 8,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '49',
                'emotions' => null,
                'articles' => null,
            ),
            11 => array(
                'id' => 6,
                'parentId' => 3,
                'name' => 'Sommerwelten',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Sommerwelten',
                'active' => true,
                'template' => 'article_listing_4col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 4,
                    'categoryId' => 6,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '4',
                'articleCount' => '60',
                'emotions' => null,
                'articles' => null,
            ),
            12 => array(
                'id' => 17,
                'parentId' => 3,
                'name' => 'Trends + News',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Blogfunktion',
                'active' => true,
                'template' => '',
                'blog' => true,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 15,
                    'categoryId' => 17,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            13 => array(
                'id' => 10,
                'parentId' => 3,
                'name' => 'Beispiele',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Beispiele',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 8,
                    'categoryId' => 10,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '11',
                'articleCount' => '37',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        3 => array(
            0 => array(
                'id' => 5,
                'parentId' => 3,
                'name' => 'Genusswelten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Genusswelten',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 3,
                    'categoryId' => 5,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '44',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 11,
                'parentId' => 5,
                'name' => 'Tees und Zubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees und Zubehör',
                'active' => true,
                'template' => 'article_listing_3col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 9,
                    'categoryId' => 11,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '23',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 14,
                'parentId' => 5,
                'name' => 'Edelbrände',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Die besten Edelbrände',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 12,
                    'categoryId' => 14,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 15,
                'parentId' => 5,
                'name' => 'Köstlichkeiten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Köstlichkeiten',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 13,
                    'categoryId' => 15,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 9,
                'parentId' => 3,
                'name' => 'Freizeitwelten',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Freizeitwelten',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 7,
                    'categoryId' => 9,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '27',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 31,
                'parentId' => 9,
                'name' => 'Vintage',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 35,
                    'categoryId' => 31,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 16,
                'parentId' => 9,
                'name' => 'Entertainment',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 14,
                    'categoryId' => 16,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '17',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 8,
                'parentId' => 3,
                'name' => 'Wohnwelten',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Wohnwelten',
                'active' => true,
                'template' => 'article_listing_4col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 6,
                    'categoryId' => 8,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '49',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 38,
                'parentId' => 8,
                'name' => 'Dekoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Mit der richtigen Dekoration in eine Wohlfühlwelt',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 42,
                    'categoryId' => 38,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            9 => array(
                'id' => 32,
                'parentId' => 8,
                'name' => 'Möbel',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möbel',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 36,
                    'categoryId' => 32,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            10 => array(
                'id' => 33,
                'parentId' => 8,
                'name' => 'Küchenzubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Vielfältiges Zubehör für Ihre Küche',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 37,
                    'categoryId' => 33,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
            11 => array(
                'id' => 6,
                'parentId' => 3,
                'name' => 'Sommerwelten',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Sommerwelten',
                'active' => true,
                'template' => 'article_listing_4col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 4,
                    'categoryId' => 6,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '4',
                'articleCount' => '60',
                'emotions' => null,
                'articles' => null,
            ),
            12 => array(
                'id' => 34,
                'parentId' => 6,
                'name' => 'Beachwear',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 38,
                    'categoryId' => 34,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
            13 => array(
                'id' => 35,
                'parentId' => 6,
                'name' => 'Beauty & Care',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 39,
                    'categoryId' => 35,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            14 => array(
                'id' => 36,
                'parentId' => 6,
                'name' => 'On World Tour',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 40,
                    'categoryId' => 36,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            15 => array(
                'id' => 37,
                'parentId' => 6,
                'name' => 'Accessoires',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 41,
                    'categoryId' => 37,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            16 => array(
                'id' => 17,
                'parentId' => 3,
                'name' => 'Trends + News',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Blogfunktion',
                'active' => true,
                'template' => '',
                'blog' => true,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 15,
                    'categoryId' => 17,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            17 => array(
                'id' => 10,
                'parentId' => 3,
                'name' => 'Beispiele',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Beispiele',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 8,
                    'categoryId' => 10,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '11',
                'articleCount' => '37',
                'emotions' => null,
                'articles' => null,
            ),
            18 => array(
                'id' => 27,
                'parentId' => 10,
                'name' => 'In Kürze verfügbar',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'In Kürze verfügbar',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 25,
                    'categoryId' => 27,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            19 => array(
                'id' => 22,
                'parentId' => 10,
                'name' => 'Konfiguratorartikel',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Das Plugin Artikelkonfigurator',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 20,
                    'categoryId' => 22,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            20 => array(
                'id' => 30,
                'parentId' => 10,
                'name' => 'Kundenbindung',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Funktionen zur Kundenbindung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 28,
                    'categoryId' => 30,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            21 => array(
                'id' => 21,
                'parentId' => 10,
                'name' => 'Produktvergleiche & Filter',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Eigenschaften und Filter',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 19,
                    'categoryId' => 21,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            22 => array(
                'id' => 20,
                'parentId' => 10,
                'name' => 'Darstellung',
                'position' => 5,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Artikeldarstellung im Listing.',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 18,
                    'categoryId' => 20,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            23 => array(
                'id' => 19,
                'parentId' => 10,
                'name' => 'Crossselling',
                'position' => 6,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Crossselling',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 17,
                    'categoryId' => 19,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            24 => array(
                'id' => 24,
                'parentId' => 10,
                'name' => 'Versandkosten',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Versandkosteneinstellungen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 22,
                    'categoryId' => 24,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            25 => array(
                'id' => 74,
                'parentId' => 10,
                'name' => 'Kundengruppen / B2B',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Kundengruppen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 78,
                    'categoryId' => 74,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '1',
                'emotions' => null,
                'articles' => null,
            ),
            26 => array(
                'id' => 25,
                'parentId' => 10,
                'name' => 'Zahlungsarten',
                'position' => 8,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Zahlungsarten & Riskmanagement',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 23,
                    'categoryId' => 25,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            27 => array(
                'id' => 23,
                'parentId' => 10,
                'name' => 'Preisgestaltung',
                'position' => 10,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möglichkeiten der Preisgestaltung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 21,
                    'categoryId' => 23,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        39 => array(
            0 => array(
                'id' => 61,
                'parentId' => 39,
                'name' => 'Examples',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 65,
                    'categoryId' => 61,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '9',
                'articleCount' => '33',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 62,
                'parentId' => 61,
                'name' => 'Available soon',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 66,
                    'categoryId' => 62,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 64,
                'parentId' => 61,
                'name' => 'Customer loyalty',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 68,
                    'categoryId' => 64,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 65,
                'parentId' => 61,
                'name' => 'Configurator articles',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 69,
                    'categoryId' => 65,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 67,
                'parentId' => 61,
                'name' => 'Product comparison',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 71,
                    'categoryId' => 67,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 68,
                'parentId' => 61,
                'name' => 'Presentation',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 72,
                    'categoryId' => 68,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 69,
                'parentId' => 61,
                'name' => 'Crossselling',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 73,
                    'categoryId' => 69,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 71,
                'parentId' => 61,
                'name' => 'Payment methods',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 75,
                    'categoryId' => 71,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 72,
                'parentId' => 61,
                'name' => 'Shipping costs',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 76,
                    'categoryId' => 72,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            9 => array(
                'id' => 73,
                'parentId' => 61,
                'name' => 'Price strategies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 77,
                    'categoryId' => 73,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            10 => array(
                'id' => 42,
                'parentId' => 39,
                'name' => 'Trends + News',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => true,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 46,
                    'categoryId' => 42,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            11 => array(
                'id' => 43,
                'parentId' => 39,
                'name' => 'Worlds of indulgence',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 47,
                    'categoryId' => 43,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '36',
                'emotions' => null,
                'articles' => null,
            ),
            12 => array(
                'id' => 47,
                'parentId' => 43,
                'name' => 'Teas and Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 51,
                    'categoryId' => 47,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            13 => array(
                'id' => 50,
                'parentId' => 43,
                'name' => 'Brandies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 54,
                    'categoryId' => 50,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            14 => array(
                'id' => 51,
                'parentId' => 43,
                'name' => 'Delights',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 55,
                    'categoryId' => 51,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            15 => array(
                'id' => 44,
                'parentId' => 39,
                'name' => 'Leisure worlds',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 48,
                    'categoryId' => 44,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            16 => array(
                'id' => 52,
                'parentId' => 44,
                'name' => 'Vintage',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 56,
                    'categoryId' => 52,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            17 => array(
                'id' => 53,
                'parentId' => 44,
                'name' => 'Entertainment',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 57,
                    'categoryId' => 53,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            18 => array(
                'id' => 45,
                'parentId' => 39,
                'name' => 'Home sweet home',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 49,
                    'categoryId' => 45,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '3',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            19 => array(
                'id' => 54,
                'parentId' => 45,
                'name' => 'Furniture',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 58,
                    'categoryId' => 54,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            20 => array(
                'id' => 55,
                'parentId' => 45,
                'name' => 'Kitchen Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 59,
                    'categoryId' => 55,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            21 => array(
                'id' => 56,
                'parentId' => 45,
                'name' => 'Decoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 60,
                    'categoryId' => 56,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            22 => array(
                'id' => 46,
                'parentId' => 39,
                'name' => 'Summertime',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 50,
                    'categoryId' => 46,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '4',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            23 => array(
                'id' => 57,
                'parentId' => 46,
                'name' => 'Beachwear',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 61,
                    'categoryId' => 57,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            24 => array(
                'id' => 58,
                'parentId' => 46,
                'name' => 'Beauty & Care',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 62,
                    'categoryId' => 58,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            25 => array(
                'id' => 59,
                'parentId' => 46,
                'name' => 'Travel around the World',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 63,
                    'categoryId' => 59,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            26 => array(
                'id' => 60,
                'parentId' => 46,
                'name' => 'Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 64,
                    'categoryId' => 60,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        5 => array(
            0 => array(
                'id' => 11,
                'parentId' => 5,
                'name' => 'Tees und Zubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees und Zubehör',
                'active' => true,
                'template' => 'article_listing_3col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 9,
                    'categoryId' => 11,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '23',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 12,
                'parentId' => 11,
                'name' => 'Tees',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 10,
                    'categoryId' => 12,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 13,
                'parentId' => 11,
                'name' => 'Tee-Zubehör',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tee-Zubehör',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 11,
                    'categoryId' => 13,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 14,
                'parentId' => 5,
                'name' => 'Edelbrände',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Die besten Edelbrände',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 12,
                    'categoryId' => 14,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 15,
                'parentId' => 5,
                'name' => 'Köstlichkeiten',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Köstlichkeiten',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 13,
                    'categoryId' => 15,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        6 => array(
            0 => array(
                'id' => 34,
                'parentId' => 6,
                'name' => 'Beachwear',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 38,
                    'categoryId' => 34,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 35,
                'parentId' => 6,
                'name' => 'Beauty & Care',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 39,
                    'categoryId' => 35,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 36,
                'parentId' => 6,
                'name' => 'On World Tour',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 40,
                    'categoryId' => 36,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 37,
                'parentId' => 6,
                'name' => 'Accessoires',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 41,
                    'categoryId' => 37,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '11',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        8 => array(
            0 => array(
                'id' => 38,
                'parentId' => 8,
                'name' => 'Dekoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Mit der richtigen Dekoration in eine Wohlfühlwelt',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 42,
                    'categoryId' => 38,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 32,
                'parentId' => 8,
                'name' => 'Möbel',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möbel',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 36,
                    'categoryId' => 32,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '16',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 33,
                'parentId' => 8,
                'name' => 'Küchenzubehör',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Vielfältiges Zubehör für Ihre Küche',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 37,
                    'categoryId' => 33,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '18',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        9 => array(
            0 => array(
                'id' => 31,
                'parentId' => 9,
                'name' => 'Vintage',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 35,
                    'categoryId' => 31,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 16,
                'parentId' => 9,
                'name' => 'Entertainment',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 14,
                    'categoryId' => 16,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '17',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        10 => array(
            0 => array(
                'id' => 27,
                'parentId' => 10,
                'name' => 'In Kürze verfügbar',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'In Kürze verfügbar',
                'active' => true,
                'template' => '',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 25,
                    'categoryId' => 27,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 22,
                'parentId' => 10,
                'name' => 'Konfiguratorartikel',
                'position' => 2,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Das Plugin Artikelkonfigurator',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 20,
                    'categoryId' => 22,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 30,
                'parentId' => 10,
                'name' => 'Kundenbindung',
                'position' => 3,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Funktionen zur Kundenbindung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 28,
                    'categoryId' => 30,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 21,
                'parentId' => 10,
                'name' => 'Produktvergleiche & Filter',
                'position' => 4,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Eigenschaften und Filter',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 19,
                    'categoryId' => 21,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '10',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 20,
                'parentId' => 10,
                'name' => 'Darstellung',
                'position' => 5,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Artikeldarstellung im Listing.',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 18,
                    'categoryId' => 20,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 19,
                'parentId' => 10,
                'name' => 'Crossselling',
                'position' => 6,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Crossselling',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 17,
                    'categoryId' => 19,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 24,
                'parentId' => 10,
                'name' => 'Versandkosten',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Versandkosteneinstellungen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 22,
                    'categoryId' => 24,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 74,
                'parentId' => 10,
                'name' => 'Kundengruppen / B2B',
                'position' => 7,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Kundengruppen',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 78,
                    'categoryId' => 74,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '1',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 25,
                'parentId' => 10,
                'name' => 'Zahlungsarten',
                'position' => 8,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Zahlungsarten & Riskmanagement',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 23,
                    'categoryId' => 25,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            9 => array(
                'id' => 23,
                'parentId' => 10,
                'name' => 'Preisgestaltung',
                'position' => 10,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Möglichkeiten der Preisgestaltung',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 21,
                    'categoryId' => 23,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        17 => array(),
        42 => array(),
        43 => array(
            0 => array(
                'id' => 47,
                'parentId' => 43,
                'name' => 'Teas and Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 51,
                    'categoryId' => 47,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '2',
                'articleCount' => '19',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 48,
                'parentId' => 47,
                'name' => 'Teas',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 52,
                    'categoryId' => 48,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 49,
                'parentId' => 47,
                'name' => 'Teas and accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 53,
                    'categoryId' => 49,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 50,
                'parentId' => 43,
                'name' => 'Brandies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 54,
                    'categoryId' => 50,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '12',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 51,
                'parentId' => 43,
                'name' => 'Delights',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 55,
                    'categoryId' => 51,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        44 => array(
            0 => array(
                'id' => 52,
                'parentId' => 44,
                'name' => 'Vintage',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 56,
                    'categoryId' => 52,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 53,
                'parentId' => 44,
                'name' => 'Entertainment',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 57,
                    'categoryId' => 53,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        45 => array(
            0 => array(
                'id' => 54,
                'parentId' => 45,
                'name' => 'Furniture',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 58,
                    'categoryId' => 54,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 55,
                'parentId' => 45,
                'name' => 'Kitchen Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 59,
                    'categoryId' => 55,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 56,
                'parentId' => 45,
                'name' => 'Decoration',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 60,
                    'categoryId' => 56,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        46 => array(
            0 => array(
                'id' => 57,
                'parentId' => 46,
                'name' => 'Beachwear',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 61,
                    'categoryId' => 57,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 58,
                'parentId' => 46,
                'name' => 'Beauty & Care',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 62,
                    'categoryId' => 58,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 59,
                'parentId' => 46,
                'name' => 'Travel around the World',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 63,
                    'categoryId' => 59,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 60,
                'parentId' => 46,
                'name' => 'Accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 64,
                    'categoryId' => 60,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        61 => array(
            0 => array(
                'id' => 62,
                'parentId' => 61,
                'name' => 'Available soon',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 66,
                    'categoryId' => 62,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '0',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 64,
                'parentId' => 61,
                'name' => 'Customer loyalty',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 68,
                    'categoryId' => 64,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            2 => array(
                'id' => 65,
                'parentId' => 61,
                'name' => 'Configurator articles',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 69,
                    'categoryId' => 65,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
            3 => array(
                'id' => 67,
                'parentId' => 61,
                'name' => 'Product comparison',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 71,
                    'categoryId' => 67,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            4 => array(
                'id' => 68,
                'parentId' => 61,
                'name' => 'Presentation',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 72,
                    'categoryId' => 68,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '6',
                'emotions' => null,
                'articles' => null,
            ),
            5 => array(
                'id' => 69,
                'parentId' => 61,
                'name' => 'Crossselling',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 73,
                    'categoryId' => 69,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '2',
                'emotions' => null,
                'articles' => null,
            ),
            6 => array(
                'id' => 71,
                'parentId' => 61,
                'name' => 'Payment methods',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 75,
                    'categoryId' => 71,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '3',
                'emotions' => null,
                'articles' => null,
            ),
            7 => array(
                'id' => 72,
                'parentId' => 61,
                'name' => 'Shipping costs',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 76,
                    'categoryId' => 72,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
            8 => array(
                'id' => 73,
                'parentId' => 61,
                'name' => 'Price strategies',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 77,
                    'categoryId' => 73,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '4',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        11 => array(
            0 => array(
                'id' => 12,
                'parentId' => 11,
                'name' => 'Tees',
                'position' => 0,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tees',
                'active' => true,
                'template' => 'article_listing_2col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 10,
                    'categoryId' => 12,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 13,
                'parentId' => 11,
                'name' => 'Tee-Zubehör',
                'position' => 1,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => 'Tee-Zubehör',
                'active' => true,
                'template' => 'article_listing_1col.tpl',
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 11,
                    'categoryId' => 13,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '9',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        14 => array(),
        15 => array(),
        16 => array(),
        19 => array(),
        20 => array(),
        21 => array(),
        22 => array(),
        23 => array(),
        24 => array(),
        25 => array(),
        27 => array(),
        30 => array(),
        31 => array(),
        32 => array(),
        33 => array(),
        34 => array(),
        35 => array(),
        36 => array(),
        37 => array(),
        38 => array(),
        47 => array(
            0 => array(
                'id' => 48,
                'parentId' => 47,
                'name' => 'Teas',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 52,
                    'categoryId' => 48,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '14',
                'emotions' => null,
                'articles' => null,
            ),
            1 => array(
                'id' => 49,
                'parentId' => 47,
                'name' => 'Teas and accessories',
                'position' => null,
                'metaKeywords' => null,
                'metaDescription' => '',
                'cmsHeadline' => '',
                'active' => true,
                'template' => null,
                'blog' => false,
                'showFilterGroups' => true,
                'external' => '',
                'hideFilter' => false,
                'hideTop' => false,
                'noViewSelect' => false,
                'media' => null,
                'attribute' => array(
                    'id' => 53,
                    'categoryId' => 49,
                    'attribute1' => '',
                    'attribute2' => '',
                    'attribute3' => '',
                    'attribute4' => '',
                    'attribute5' => '',
                    'attribute6' => '',
                ),
                'childrenCount' => '0',
                'articleCount' => '5',
                'emotions' => null,
                'articles' => null,
            ),
        ),
        50 => array(),
        51 => array(),
        52 => array(),
        53 => array(),
        54 => array(),
        55 => array(),
        56 => array(),
        57 => array(),
        58 => array(),
        59 => array(),
        60 => array(),
        62 => array(),
        64 => array(),
        65 => array(),
        67 => array(),
        68 => array(),
        69 => array(),
        71 => array(),
        72 => array(),
        73 => array(),
        74 => array(),
        75 => array(),
        12 => array(),
        13 => array(),
        48 => array(),
        49 => array(),
    );

    /**
     * @return Shopware\Models\Category\Repository
     */
    protected function getRepo()
    {
        if ($this->repo === null) {
            $this->repo = Shopware()->Models()->Category();
        }
        return $this->repo;
    }

    public function testExpected1()
    {
        foreach ($this->expected1 as $id => $expected) {
            $data = $this->getRepo()->getActiveChildrenList($id);
            $data = $this->removeSimpleDates($data);
            $this->assertEquals($expected, $data);
        }
    }

    public function testExpected2()
    {
        foreach ($this->expected2 as $id => $expected) {
            $data = $this->getRepo()->getActiveChildrenList($id, 1, 2);
            $data = $this->removeSimpleDates($data);
            $this->assertEquals($expected, $data);
        }
    }

    protected function removeSimpleDates($data)
    {
        foreach ($data as &$subCategory) {
            unset($subCategory['changed']);
            unset($subCategory['cmsText']);
            unset($subCategory['added']);
            foreach ($subCategory['emotions'] as &$emotion) {
                unset($emotion['createDate']);
                unset($emotion['modified']);
            }
            foreach ($subCategory['articles'] as &$article) {
                unset($article['added']);
                unset($article['changed']);
                unset($article['description']);
                unset($article['descriptionLong']);
                unset($article['mainDetail']['releaseDate']);
            }
            if ($subCategory['sub']) {
                $subCategory['sub'] = $this->removeSimpleDates($subCategory['sub']);
            }
        }
        return $data;
    }
}
